# pandas.DataFrame.sortlevel

`DataFrame.``sortlevel`(level=0, axis=0, ascending=True, inplace=False, sort_remaining=True)

  DEPRECATED: use `DataFrame.sort_index()`

  Sort multilevel index by chosen axis and primary level. Data will be lexicographically sorted by the chosen level followed by the other levels (in order)

  Parameters:

  level : int

  axis : {0 or ‘index’, 1 or ‘columns’}, default 0

  ascending : boolean, default True

  inplace : boolean, default False

  > Sort the DataFrame without creating a new instance

  sort_remaining : boolean, default True

  > Sort by the other levels too.

  Returns: | sorted : DataFrame

  See also

  `DataFrame.sort_index`

Scroll To Top